### Function Macro

# Cally ACCESSIBLE_FACTORY

#### Declaration [src]

    #define CALLY_ACCESSIBLE_FACTORY (
      type,
      type_as_function,
      opt_create_accessible
    )

#### Description [src]

Defines a new `AtkObjectFactory` factory to create accessible objects of a specific GType. It defines the factory GType and also overrides the proper `AtkObjectFactory` methods.

It assumes that the accessibility object provides a `opt_create_accessible` method in order to create the accessibility object. It returns a `type` GType object.

This function is not directly available to language bindings.

#### Parameters

`type`

  Type: `-`

  GType of the accessible which is created by the factory.

`type_as_function`

  Type: `-`

  Prefix of the accessible object methods.

`opt_create_accessible`

  Type: `-`

  Method to instantiate the accessibility object.